package service

import (
	"DataShare/model"
	"DataShare/util"
	"encoding/json"
	"fmt"
)

func CallLog(url string,req *model.CallLog)([]byte,error){

	jsonData,err := json.Marshal(req)
	if err != nil {
		return nil,err
	}

	//fmt.Println("calllog---",string(jsonData))
	result,err := util.HttpPost(url,jsonData,"")
	if err !=nil {
		fmt.Println("calllog err:",err.Error())
	}else{
		fmt.Println("calllog result:",string(result))
	}
	return result,err
}
